`printresults` <-
function(filename, ftlist, results, range = 1e-2, mzsort = FALSE){

con <- file(filename, "a")
if (!is.factor(ftlist$class$class)) ftlist$class$class <- factor(ftlist$class$class)
pvals <- compute.count.stats(ftlist)

if (length(pvals)==dim(ftlist$data)[1]) {
    pvals <- pvals[results[,1]]
    order <- sort(pvals,index.return = TRUE)$ix
} else {
    order <- 1:length(results[,1])
    pvals <- rep(1,length(results[,1]))    
}

if (mzsort) order <- 1:length(results[,1])
cat("IndexFeature\tMassSubmitted\tM/Z\tRT\tP-value\tFoldChange\tN1\tN2\tMetlin\t13C#1-isotope\t13C#2-isotope\tAdducts\tNFG\n", file = con, sep = "")

ij  <- setdiff(1:length(ftlist$class$class),ftlist$outliers)
a1 <- which(ftlist$class$class[ij] == levels(ftlist$class$class)[1])
a2 <- which(ftlist$class$class[ij] == levels(ftlist$class$class)[2])
ftlist$labels <- colnames(results)[6:length(colnames(results))]
for (i in order){
        nfg <- 1
        k <- results[i,1]
        Metlin <- paste("http://metlin.scripps.edu/metabo_list.php?mass_min=",
	                       round(ftlist$mz[k] - range - 1.0076, 4), "&mass_max=",
	                       round(ftlist$mz[k] + range - 1.0076, 4), sep="")
        if (results[i,2]==0) C13 <- "NA"
        else {
            j   <- which((ftlist$feature.set[,1]==k) & (ftlist$feature.set[,2]==results[i,2]))
            C13 <- paste(results[i,2],round(results[i,3],3),round(ftlist$feature.set[j[1],3],3),round(ftlist$feature.set[j[1],5],3))
            nfg <- nfg + 1
        }
        if (results[i,4]==0) C14 <- "NA"
        else {
            j   <- which((ftlist$feature.set[,1]==k) & (ftlist$feature.set[,2]==results[i,4]))
            C14 <- paste(results[i,4],round(results[i,5],3),round(ftlist$feature.set[j[1],3],3),round(ftlist$feature.set[j[1],5],3))
            nfg <- nfg + 1
        }
        add <- results[i,6:dim(results)[2]]
        z   <- which(add>0)
        nfg <- nfg + length(z)
        Adducts <- ""
        for (j in 1:length(z)){
            Adducts <- paste(Adducts,paste(ftlist$labels[z[j]],add[z[j]],sep=":"))
        }
        cat(k, round(ftlist$mz[k]-1.0076,5), ftlist$mz[k], round(ftlist$rt[k],2), pvals[i], round(mean(ftlist$data[k,a1])/mean(ftlist$data[k,a2]),2), 
            length(which(ftlist$data[k,a1]!=0)), length(which(ftlist$data[k,a2]!=0)), Metlin, C13, C14, Adducts, nfg,"\n", file = con, sep = "\t")

}
close(con)
}