\name{plotcompound}
\alias{plotcompound}
\title{Plot identified compounds}
\description{Plot the intensity distributions for any particular compound identified by AStream.}
\usage{plotcompound(num, ftlist, results)}
\arguments{
  \item{num }{ compound index to be plotted.}
  \item{ftlist }{ feature list as returned by \code{\link{isotope.search}}.}
  \item{results }{ compound list as returned by \code{\link{adduct.search}}.}
}
\author{A.Alonso, et al. Grup de Recerca de Reumatologia 2010, bioinformatics@urr.cat.}
\seealso{\code{\link{data.norm}}, \code{\link{isotope.search}}, \code{\link{adduct.search}}, \code{\link{printresults}}.}
\examples{
## Load example data
data(astream.data, package = "AStream")
## Normalize intensities, search for outliers and feature pairs selection
feat <- data.norm(input)
## Identify Carbon isotopes
feat <- isotope.search(feat)
## Search for adducts
results <- adduct.search(feat)
## The high similarity between the different metabolomic profiles associated to one same compound demonstrates the robustness of the annotation process.
plotcompound(1, feat, results)
plotcompound(149, feat, results)
plotcompound(209, feat, results)
}